## ros-kinetic-rocon-hub-client 0.8.1

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_hub_client)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

=== debian/changelog ===
ros-kinetic-rocon-hub-client (0.8.1-2xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Oct 2016 01:13:34 -0000

ros-kinetic-rocon-hub-client (0.7.10-2xenial) xenial; urgency=high

  * [rocon_hub_client] bugfix boolean check of paired ping_hub return value.
    This fixes #312 <https://github.com/robotics-in-concert/rocon_multimaster/issues/312>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.9-2xenial) xenial; urgency=high

  * uses rospy wall time sleep instead of python sleep #308 <https://github.com/robotics-in-concert/rocon_multimaster/issues/308>
  * adding a 5s retry in case we couldnt read the rocon:hub:name from redis yet.
  * update timeouts #302 <https://github.com/robotics-in-concert/rocon_multimaster/issues/302>
  * increate socket timeout to ping frequency
  * setting default timeout in ping hub
  * increase hubconnection socket timeout to resolve frequent hub disengagement closes #301 <https://github.com/robotics-in-concert/rocon_multimaster/issues/301>
  * Contributors: AlexV, Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 08 Jul 2015 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.8-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 26 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 22 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.6-2xenial) xenial; urgency=high

  * [rocon_gateway] bugfix gateway param setting
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.5-2xenial) xenial; urgency=high

  * rename _ to reason
  * add logic to handle hub connection
  * increase the timeout for late launching zero conf than gateway
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 22 Sep 2014 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.4-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.7.3-2xenial) xenial; urgency=high

  * lists instead of semi-colon separated strings for hub whitelist/blacklist parameters.
  * keep trying to resolve zeroconf hubs instead of blacklisting them so we can come back from wireless dropouts, #271 <https://github.com/robotics-in-concert/rocon_multimaster/issues/271>.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.6.1-2xenial) xenial; urgency=high

  * allow hostname:port without scheme for direct hub identification. Better handling of poorly formatted direct hub uris.
  * rediscover direct hubs if lost.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 Sep 2013 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.5.0-2xenial) xenial; urgency=high

  * revert back to faster looping - optimisation issues were not here.
  * bugfix for when zeroconf is not around.
  * persistent service proxy.
  * trivial documentation updates.
  * hub white/blacklist checks for hubs.
  * graveyard is rip.
  * match uri's in the white/blacklist correctly using urlparse
  * properly modularising rocon_gateway and rocon_hub_client
  * 0.4.0

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 May 2013 02:03:00 -0000

ros-kinetic-rocon-hub-client (0.3.0-2xenial) xenial; urgency=high

  * update jihoon e-mail

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Feb 2013 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.2.2-2xenial) xenial; urgency=high

  * fix wiki links.
  * catkinized.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Jan 2013 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.2.1-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.2.0-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 05:05:00 -0000

ros-kinetic-rocon-hub-client (0.1.9-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 24 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.8-2xenial) xenial; urgency=high

  * pep8 stuff.
  * some exception and license handling

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 23 Dec 2012 04:59:00 -0000

ros-kinetic-rocon-hub-client (0.1.7-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 12 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.6-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 11 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.5-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 08 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.4-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 07 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.3-2xenial) xenial; urgency=high

  * resolveHub to resolve_hub. resolveAddress to resolve_address
  * pep8 stuff.
  * bugfix rocon_hub_client rename.
  * rocon_gateway_hub->rocon_hub, client also.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 06 Dec 2012 15:00:00 -0000

ros-kinetic-rocon-hub-client (0.1.2-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 09:09:00 -0000

ros-kinetic-rocon-hub-client (0.1.1-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 24 Nov 2012 06:57:00 -0000

ros-kinetic-rocon-hub-client (0.1.0-2xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 13 Nov 2012 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rocon-hub-client
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/rocon_hub_client
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-hub-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gateway-msgs, ros-kinetic-rocon-gateway-utils, ros-kinetic-rocon-python-redis, ros-kinetic-rospy
Description: Client api for discovery and connection to rocon hubs.
 It also has a few convenience api for manipulating data on the hub.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rocon-hub-client//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
